summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2019-11-16 13:15:46 +0200
committerMart Raudsepp <leio@gentoo.org>2019-11-16 13:16:14 +0200
commitbc3c29fd8bde463e6209b01ff6995c0b7c137db7 (patch)
tree9590a72f4d7205a512955be28682c3c34e16584f
parentdev-python/zope-interface: Fix MissingTestRestrict (diff)
downloadgentoo-bc3c29fd8bde463e6209b01ff6995c0b7c137db7.tar.gz
gentoo-bc3c29fd8bde463e6209b01ff6995c0b7c137db7.tar.bz2
gentoo-bc3c29fd8bde463e6209b01ff6995c0b7c137db7.zip
app-i18n/poedit: bump to 2.2.4
Package-Manager: Portage-2.3.69, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
-rw-r--r--app-i18n/poedit/Manifest1
-rw-r--r--app-i18n/poedit/poedit-2.2.4.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/app-i18n/poedit/Manifest b/app-i18n/poedit/Manifest
index 12a13da2a78..f3c015d1c67 100644
--- a/app-i18n/poedit/Manifest
+++ b/app-i18n/poedit/Manifest
@@ -1,3 +1,4 @@
DIST poedit-2.1.1.tar.gz 2722379 BLAKE2B 3e5102ab9b2b6b6701abd3f44dab846d6989e5abdbcadf924cf7032d725fa1b405425cefa37eb0230d3de68ea0c60ec05e7bfe84f906cdec0230d8c1284f5779 SHA512 0b5e13c3e59c9bde78b95b45aa8765c16c03d12ca9fbabe4448e409ff4cd627676d1b77c011c75a54dc0e10acda23ceb49ca063e76a29154344dc5fdb9e5f8a8
DIST poedit-2.2.3.tar.gz 2834106 BLAKE2B bf3670f612ca673893eb9f6cb23b67d329669266345fb4c29af44da28ff536825935bb209a250053e6eb65d937a7ae4b183dccc855e4747cbcc1cbb94161b6e6 SHA512 566f397add593d0b05b995cbd1cff1b063b6eb49b02058511f13c27ed5887685816f8dd9280e1a6be2dd594049c6eecd73efc5cf7835475d3cb5a94fe38f280f
+DIST poedit-2.2.4.tar.gz 2840389 BLAKE2B 1f88aeba2d4dc5ad802843cc39c298936d6619d98839257c302858f14f8d0ef3fabbda290d83192e501a7679ad2ebc63d1a87314e885d8d7e465b54de0feb297 SHA512 e7388e0657755752bc9eacd95d0a2f8f70d5a759fa15f054be3a8d07df821e8dceb9994652b576553808840bac520fcd292fd15987659f8cb4e4c8c7930ae919
DIST poedit-2.2.tar.gz 2746800 BLAKE2B b093e5c1cd66eada6238af3b731752cc8dbf9feb3238c9b53ca972b805033f9f00b3ec92cae2b87353100653e7d7bd60a68bd109f07e523d4875e0f8ca8114e5 SHA512 14a5cc997e6cdc0d1fc14b05ea293a010537d71f846537270296e2a14bdfd7a352b6d0a88a3d4f60193192a918b276509e31926715e69725e595423adfac5fbc
diff --git a/app-i18n/poedit/poedit-2.2.4.ebuild b/app-i18n/poedit/poedit-2.2.4.ebuild
new file mode 100644
index 00000000000..fd485f8975e
--- /dev/null
+++ b/app-i18n/poedit/poedit-2.2.4.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PLOCALES="af an ar az be be@latin bg bs ca ckb co cs da de el en_GB es et eu fa fi fr ga gl he hr hu hy id is it ja ka kab kk ko lt lv ms nb nl oc pa pl pt_BR pt_PT ro ru sk sl sq sr sv tg th tr uk uz vi zh_CN zh_TW"
+WX_GTK_VER=3.0-gtk3
+
+inherit gnome2-utils l10n wxwidgets xdg
+
+DESCRIPTION="GUI gettext translations editor"
+HOMEPAGE="https://poedit.net"
+SRC_URI="https://github.com/vslavik/${PN}/releases/download/v${PV}-oss/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ app-text/gtkspell:3
+ x11-libs/gtk+:3
+ >=dev-cpp/lucene++-3.0.5
+ >=dev-libs/pugixml-1.9
+ dev-libs/boost:=[nls]
+ dev-libs/icu:=
+ >=x11-libs/wxGTK-3.0.3:${WX_GTK_VER}[X]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ my_rm_loc() {
+ sed -i -e "/^POEDIT_LINGUAS = /s: ${1}::" locales/Makefile.in || die
+ rm "locales/${1}.mo" || die
+ }
+
+ l10n_find_plocales_changes 'locales' '' '.mo'
+ l10n_for_each_disabled_locale_do my_rm_loc
+
+ setup-wxwidgets
+ xdg_src_prepare
+}
+
+src_configure() {
+ # CLD2 and C++ Rest are not available in Gentoo, bug 674916
+ local myeconfargs=(
+ --without-cld2
+ --without-cpprest
+ )
+
+ econf "${myeconfargs[@]}"
+}